#ifndef FUNCTIONS_SET
#define FUNCTIONS_SET

extern struct KernelBase *KernelBase;

static ERROR SetLong(APTR Object, LONG FieldID, LONG Value)
{
   return(SetField(Object, FieldID, FT_LONG, &Value));
}

static ERROR SetFloat(APTR Object, LONG FieldID, FLOAT Value)
{
   return(SetField(Object, FieldID, FT_FLOAT, &Value));
}

static ERROR SetString(APTR Object, LONG FieldID, STRING Value)
{
   return(SetField(Object, FieldID, FT_POINTER, &Value));
}

static ERROR GetUnlistedField(APTR Object, STRING FieldName, STRING Buffer, LONG Size)
{
   struct acGetUnlistedField args;

   args.Field  = FieldName;
   args.Buffer = Buffer;
   args.Size   = Size;
   return(Action(AC_GetUnlistedField, Object, &args));
}

static ERROR SetUnlistedField(APTR Object, STRING FieldName, STRING Value)
{
   struct acSetUnlistedField args;

   args.Field = FieldName;
   args.Value = Value;
   return(Action(AC_SetUnlistedField, Object, &args));
}

static ERROR SetUnlistedFields(APTR Object, STRING tags, ...)
{
   struct acSetUnlistedField args;
   STRING *array;

   array = &tags;
   while (*array != TAGEND) {
      args.Field = array[0];
      args.Value = array[1];
      if (Action(AC_SetUnlistedField, Object, &args) != ERR_Okay) {
         return(ERR_Failed);
      }
      array += 2;
   }
   return(ERR_Okay);
}

#endif /* FUNCTIONS_SET */
